> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch latest TV shows

> This endpoint allows you to get the newest TV show ID.



## OpenAPI

````yaml get /tv/latest
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/latest:
    get:
      tags:
        - TV Series
      summary: Fetch latest TV shows
      description: This endpoint allows you to get the newest TV show ID.
      operationId: fetchLatestTvShows
      responses:
        '200':
          description: Fetch latest TV shows
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 09:27:18 GMT
            ETag:
              schema:
                type: string
                example: W/"d3ba2e33c3a14af860cd59e06fe041ac"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 ea42f57e1e0a065bc1c1c637f97d3be4.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: rYogCRN6KBJ2ZcsYK0Vi3g_07GREBs29f2QgSMqDuIcuzdx5WATGbg==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD61-P1
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: 409cf93616f07a40b32b7847985b6452
          content:
            application/json:
              schema:
                type: object
                properties:
                  adult:
                    type: boolean
                    example: false
                  backdrop_path:
                    nullable: true
                    example: null
                  created_by:
                    type: array
                    items: {}
                    example: []
                  episode_run_time:
                    type: array
                    items: {}
                    example: []
                  first_air_date:
                    type: string
                    example: '2022-01-03'
                  genres:
                    type: array
                    items: {}
                    example: []
                  homepage:
                    type: string
                    example: ''
                  id:
                    type: number
                    example: 280772
                  in_production:
                    type: boolean
                    example: true
                  languages:
                    type: array
                    items: {}
                    example: []
                  last_air_date:
                    type: string
                    example: '2022-01-03'
                  last_episode_to_air:
                    type: object
                    properties:
                      air_date:
                        type: string
                        example: '2022-01-03'
                      episode_number:
                        type: number
                        example: 1
                      episode_type:
                        type: string
                        example: standard
                      id:
                        type: number
                        example: 5870005
                      name:
                        type: string
                        example: Episode 1
                      overview:
                        type: string
                        example: ''
                      production_code:
                        type: string
                        example: ''
                      runtime:
                        nullable: true
                        example: null
                      season_number:
                        type: number
                        example: 1
                      show_id:
                        type: number
                        example: 280772
                      still_path:
                        nullable: true
                        example: null
                      vote_average:
                        type: number
                        example: 0
                      vote_count:
                        type: number
                        example: 0
                  name:
                    type: string
                    example: 芸能界オールスター草野球
                  networks:
                    type: array
                    items: {}
                    example: []
                  next_episode_to_air:
                    nullable: true
                    example: null
                  number_of_episodes:
                    type: number
                    example: 1
                  number_of_seasons:
                    type: number
                    example: 1
                  origin_country:
                    type: array
                    items:
                      type: string
                      example: JP
                    example:
                      - JP
                  original_language:
                    type: string
                    example: ja
                  original_name:
                    type: string
                    example: 芸能界オールスター草野球
                  overview:
                    type: string
                    example: ''
                  popularity:
                    type: number
                    example: 0
                  poster_path:
                    nullable: true
                    example: null
                  production_companies:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          example: 3034
                        logo_path:
                          type: string
                          example: /jnuO8pZNEBLEq5YaOP1f5OkmG91.png
                        name:
                          type: string
                          example: TV Tokyo
                        origin_country:
                          type: string
                          example: JP
                    example:
                      - id: 3034
                        logo_path: /jnuO8pZNEBLEq5YaOP1f5OkmG91.png
                        name: TV Tokyo
                        origin_country: JP
                  production_countries:
                    type: array
                    items:
                      type: object
                      properties:
                        iso_3166_1:
                          type: string
                          example: JP
                        name:
                          type: string
                          example: Japan
                    example:
                      - iso_3166_1: JP
                        name: Japan
                  seasons:
                    type: array
                    items:
                      type: object
                      properties:
                        air_date:
                          type: string
                          example: '2022-01-03'
                        episode_count:
                          type: number
                          example: 1
                        id:
                          type: number
                          example: 435609
                        name:
                          type: string
                          example: Season 1
                        overview:
                          type: string
                          example: ''
                        poster_path:
                          nullable: true
                          example: null
                        season_number:
                          type: number
                          example: 1
                        vote_average:
                          type: number
                          example: 0
                    example:
                      - air_date: '2022-01-03'
                        episode_count: 1
                        id: 435609
                        name: Season 1
                        overview: ''
                        poster_path: null
                        season_number: 1
                        vote_average: 0
                  spoken_languages:
                    type: array
                    items: {}
                    example: []
                  status:
                    type: string
                    example: Returning Series
                  tagline:
                    type: string
                    example: ''
                  type:
                    type: string
                    example: Scripted
                  vote_average:
                    type: number
                    example: 0
                  vote_count:
                    type: number
                    example: 0
              examples:
                Fetch latest TV shows:
                  value:
                    adult: false
                    backdrop_path: null
                    created_by: []
                    episode_run_time: []
                    first_air_date: '2022-01-03'
                    genres: []
                    homepage: ''
                    id: 280772
                    in_production: true
                    languages: []
                    last_air_date: '2022-01-03'
                    last_episode_to_air:
                      air_date: '2022-01-03'
                      episode_number: 1
                      episode_type: standard
                      id: 5870005
                      name: Episode 1
                      overview: ''
                      production_code: ''
                      runtime: null
                      season_number: 1
                      show_id: 280772
                      still_path: null
                      vote_average: 0
                      vote_count: 0
                    name: 芸能界オールスター草野球
                    networks: []
                    next_episode_to_air: null
                    number_of_episodes: 1
                    number_of_seasons: 1
                    origin_country:
                      - JP
                    original_language: ja
                    original_name: 芸能界オールスター草野球
                    overview: ''
                    popularity: 0
                    poster_path: null
                    production_companies:
                      - id: 3034
                        logo_path: /jnuO8pZNEBLEq5YaOP1f5OkmG91.png
                        name: TV Tokyo
                        origin_country: JP
                    production_countries:
                      - iso_3166_1: JP
                        name: Japan
                    seasons:
                      - air_date: '2022-01-03'
                        episode_count: 1
                        id: 435609
                        name: Season 1
                        overview: ''
                        poster_path: null
                        season_number: 1
                        vote_average: 0
                    spoken_languages: []
                    status: Returning Series
                    tagline: ''
                    type: Scripted
                    vote_average: 0
                    vote_count: 0
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````